using System;


/// <summary>
/// The command CLEAR is used to clear a certain I/O channel
/// 
/// Usage: CLEAR [channel]
///     - channel is an integer value between 1 and 16
///     
/// Returns: a String with the value of each I/O channel. The
/// String contains 16 characters (Example: 0000000000000000)
/// </summary>
class CmdClearIO : Command
{

    // constructor for the class
    public CmdClearIO()
    {
        keyword = "CLEARIO";

        // add all the parameters for this object
        addParameter("channel", parameterType.INTEGER, 1, 16);
    }



    public override string executeCommand()
    {
        int channelToClear = getIntParameter("channel");
        if (channelToClear != -1) K8000.clearIOchannel(channelToClear);
        return K8000.getIOstr();
    }
}

