using System;
using Microsoft.SPOT;


/// <summary>
/// The command QUIT is used to disconnect the connection with the server
/// 
/// Usage: QUIT
///
/// P.S. After receiving this command the serverflag serverFlags.DISCONNECT_REQUEST is set!
/// </summary>
class CmdLogOff : Command
{

    /// <summary>
    /// class constructor
    /// </summary>
    public CmdLogOff()
    {
        keyword = "QUIT";
    }



    /// <summary>
    /// executeCommand() will execute the Cmd... class on the K8000 card
    /// </summary>
    /// <returns>A boolean to indicate if the execution succeeded</returns>
    public override string executeCommand()
    {
        serverflag = serverFlags.DISCONNECT_REQUEST;
        return "";
    }
}

