using System;
using Microsoft.SPOT;


/// <summary>
/// The command NOP is used to keep the connection with the server alive
/// 
/// Usage: NOP
/// 
/// P.S. the server disconnect any clients when no data was transmitted for a larger period
/// of time.
/// </summary>
class CmdNOP : Command
{

    /// <summary>
    /// class constructor
    /// </summary>
    public CmdNOP()
    {
        keyword = "NOP";
    }



    /// <summary>
    /// executeCommand() will execute the Cmd... class on the K8000 card
    /// </summary>
    /// <returns>A boolean to indicate if the execution succeeded</returns>
    public override string executeCommand()
    {
        return "";
    }
}

