using System;
using Microsoft.SPOT;


/// <summary>
/// The command SETALLIO is used to set all I/O channels
/// 
/// Usage: SETALLIO
/// 
/// Returns: a String with the value of each I/O channel. The
/// String contains 16 characters (Example: 0000000000000000)
/// </summary>
class CmdSetAllIO : Command
{

    /// <summary>
    /// class constructor
    /// </summary>
    public CmdSetAllIO()
    {
        keyword = "SETALLIO";
    }



    /// <summary>
    /// executeCommand() will execute the Cmd... class on the K8000 card
    /// </summary>
    /// <returns>A boolean to indicate if the execution succeeded</returns>
    public override string executeCommand()
    {
        K8000.setAllIO();
        return K8000.getIOstr();
    }
}

