// commandlist contains the array with all available commands. I created this class to find the data faster.


/// <summary>
/// The Class CommandList contains a list of all the available commands that can be entered on the
/// server. 
/// 
/// 1. You have to build a class for each new command. Each of these classes should be derived from
/// the Command-class.
/// 
/// 2. You have to make sure you add a line in the getCommands() for each new class.
/// 
/// 3. You need to make sure the CmdLogin() is the first object that is was added. Otherwise you
/// won't be able to login after connecting to the server. (only the first command is processed
/// until you login).
/// </summary>
class CommandList
{

    #region "Adding of the commands!"
        /// <summary>
        /// getCommands() returns a list with all the created command objects.
        /// </summary>
        /// <returns></returns>
        public static Command[] getCommands()
        {
            // here we add all Cmd classes to Command array.
            addCommand(new CmdLogin());
            addCommand(new CmdSetAllIO());
            addCommand(new CmdClearAllIO());
            addCommand(new CmdGetAllIO());
            addCommand(new CmdClearIO());
            addCommand(new CmdSetIO());
            addCommand(new CmdSetDAC());
            addCommand(new CmdLogOff());
            addCommand(new CmdSetDA());
            addCommand(new CmdSetInitialized());
            addCommand(new CmdIOConfig());
            addCommand(new CmdNOP());
            addCommand(new CmdGetAD());
            addCommand(new CmdGetAllAD());

            return commands;
        }
    #endregion


    #region "Class helper code"
        // the object with all commands
        private static Command[] commands = new Command[0];

        // here we add the parameter to the array
        private static void addCommand(Command newCommand)
        {
            int arraySize = commands.Length;
            Command[] tempArray = new Command[arraySize + 1];
            if (commands != null)
            {
                System.Array.Copy(commands, tempArray, System.Math.Min(commands.Length, tempArray.Length));
            }
            commands = tempArray;
            commands[arraySize] = newCommand;
        }
   #endregion


}
